=begin

Copyright 2007, Rick Wilson 

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Name:			SmustardAppObserver
Description:	adds an application observer for use with other scripts 
Author:		Rick Wilson
Usage:
	1. Install into the plugins directory
	2. called from other scripts to observe the application


Date :		2007-05-21
Type :		Tool
History:
    1.0 (2007-05-21) - first version

=end

$SmustardActiveModel=nil
$SmustardActiveModel=Sketchup.active_model if Sketchup.active_model


class SmustardAppObserver < Sketchup::AppObserver

	attr_accessor :actions

	def initialize
		@actions=["$SmustardActiveModel=Sketchup.active_model;puts $SmustardActiveModel"]
	end

	def onNewModel(a)
		@actions.each{|e| eval(e)}
		
	end

	def onOpenModel(a)
		@actions.each{|e| eval(e)}
	end

end

$SmustardAppObserver ? nil : Sketchup.add_observer($SmustardAppObserver = SmustardAppObserver.new)
